for(i = 0; i < len; i++) {
   PRINTLABEL(i);
   for(j = 0; j < i; j++) {
      if(cnt > numvals) {
         cnt = 1;
         mask = imask;
         pos++;
      }

      tmp = (MYTYPE)(((MYTYPE)((*pos)&mask))>>((numvals-cnt)*valbits));
      if((tmp&nmask) != 0 && valbits > 1) tmp|= nmask;
      val = (double)tmp/denom;
      if(tmp != flag  && DOABS(val) >= threshold) {
         PRINTVAL(val);
      } else {
         fprintf(out, "\t");
      }

      cnt++;
      mask>>= valbits;
   }
   fprintf(out, "\n");
}
